Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.joseki
Class HttpFetch

    java.lang.Object
      com.hp.hpl.jena.joseki.HttpQuery
          com.hp.hpl.jena.joseki.HttpFetch

public class HttpFetch
extends HttpQuery

Execution object for a "fetch" over HTTP. The exact results returned wil depend on the server, which will have "fetch handlers" on remote model. The defintion of a "fetch hanlder" is server-dependent. There are two ways to identifiy the resource: either by its URI, or by a property/value that identifies the resource.

Version:
  $Id: HttpFetch.java,v 1.5 2004/04/30 14:13:13 andy_seaborne Exp $
Author:
  Andy Seaborne

Field Summary

Fields inherited from class com.hp.hpl.jena.joseki.HttpQuery
`urlLimit`

Constructor Summary
`HttpFetch(java.lang.String url, com.hp.hpl.jena.rdf.model.Property predicate, com.hp.hpl.jena.rdf.model.RDFNode value)` Perform a fetch on a resource identified by predicate and value.
`HttpFetch(java.lang.String url, com.hp.hpl.jena.rdf.model.Resource resource)` Perform a fetch operation in the named model on the named resource.
`HttpFetch(java.lang.String url, java.lang.String resourceURI)` Perform a fetch operation in the named model on the named resource
`HttpFetch(java.lang.String url, java.lang.String predicateURI, java.lang.String objURIorValue, boolean isURI)` Perform a fetch on a resource identified by predciate and value.

Methods inherited from class com.hp.hpl.jena.joseki.HttpQuery
`addParam, addParam, exec, getResponseCode, getResponseMessage, setForcePOST, setParam, toString, usesPOST`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpFetch

    public HttpFetch(java.lang.String url,
                     com.hp.hpl.jena.rdf.model.Resource resource)

  Perform a fetch operation in the named model on the named resource.

Parameters:
  `url` - Remote model
  `resource` - Named resource - must have a URI

### HttpFetch

    public HttpFetch(java.lang.String url,
                     java.lang.String resourceURI)

  Perform a fetch operation in the named model on the named resource

Parameters:
  `url` - Remote model
  `resourceURI` - Resource URI

### HttpFetch

    public HttpFetch(java.lang.String url,
                     com.hp.hpl.jena.rdf.model.Property predicate,
                     com.hp.hpl.jena.rdf.model.RDFNode value)

  Perform a fetch on a resource identified by predicate and value.

Parameters:
  `url` - Remote model.
  `predicate` - Property
  `value` - Resource (with URI) or Literal (plain literal)

### HttpFetch

    public HttpFetch(java.lang.String url,
                     java.lang.String predicateURI,
                     java.lang.String objURIorValue,
                     boolean isURI)

  Perform a fetch on a resource identified by predciate and value.

Parameters:
  `url` - Remote model
  `predicateURI` - Predicate URI
  `objURIorValue` - String - either URI or literal value
  `isURI` - Indicator for of kind of object

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2003, 2004 Hewlett-Packard Development Company, LP